# Class RunProperties

#### Hierarchy

- IgnoreIfEmptyXmlComponent
  - RunProperties

- Defined in file/paragraph/run/properties.ts:135

#####
Index

### Constructors

constructor

### Methods

addChildElement
prepForXml
push

## Constructors

### constructor

- new RunProperties(options?): RunProperties

- #### Parameters

  - ##### `Optional` options: IRunPropertiesOptions

  #### Returns RunProperties

  Overrides IgnoreIfEmptyXmlComponent.constructor

  - Defined in file/paragraph/run/properties.ts:136

## Methods

### addChildElement

- addChildElement(child): XmlComponent

- #### Parameters

  - ##### child: string | XmlComponent

  #### Returns XmlComponent

  Inherited from IgnoreIfEmptyXmlComponent.addChildElement

  - Defined in file/xml-components/xml-component.ts:45

### prepForXml

- prepForXml(context): undefined | IXmlableObject

- #### Parameters

  - ##### context: IContext

  #### Returns undefined | IXmlableObject

  Inherited from IgnoreIfEmptyXmlComponent.prepForXml

  - Defined in file/xml-components/xml-component.ts:53

### push

- push(item): void

- #### Parameters

  - ##### item: XmlComponent

  #### Returns void

  - Defined in file/paragraph/run/properties.ts:297

Generated using TypeDoc